<script>
  import { onMount } from "svelte";

  let now = new Date();
  let month: any;
  let day: any;
  let year: any;
  export let dateString: string;
  export let customClass: string = "";

  onMount(() => {
    (month = "" + (now.getMonth() + 1)),
      (day = "" + now.getDate()),
      (year = now.getFullYear());

    if (month.length < 2) month = "0" + month;
    if (day.length < 2) day = "0" + day;
  });

  function setDate() {
    dateString = [day, month, year].join("-");
  }
</script>

<label>
  <input class={customClass} on:select={setDate} type="date" bind:value={dateString} />
</label>
